package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公告对象 tb_business_bulletin
 * 
 * @author ruoyi
 * @date 2023-10-25
 */
public class BusinessBulletin extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公告编号 */
    @Excel(name = "公告编号")
    private Long bulletinId;

    /** 公告标题 */
    @Excel(name = "公告标题")
    private String title;

    /** 公告内容 */
    @Excel(name = "公告内容")
    private String content;

    /** 热度 */
    @Excel(name = "热度")
    private Long hot;

    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;

    public void setBulletinId(Long bulletinId) 
    {
        this.bulletinId = bulletinId;
    }

    public Long getBulletinId() 
    {
        return bulletinId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setHot(Long hot) 
    {
        this.hot = hot;
    }

    public Long getHot() 
    {
        return hot;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("bulletinId", getBulletinId())
            .append("title", getTitle())
            .append("content", getContent())
            .append("hot", getHot())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
